Inhalte
Index 🔎︎

# Add-in-Funktionen, Liste der Analysefunktionen Teil 1

Die Plug-in-Funktionen werden vom Service UNO com.sun.star.sheet.addin.Analysis bereitgestellt.

So greifen Sie auf diesen Befehl zu:

Einfügen – Funktion… – Kategorie: Add-in

## BESSELI

Berechnet die modifizierte Besselfunktion der ersten Gattung In(x).

#### Syntax

BESSELI(X; N)

X ist der Wert, mit dem die Funktion berechnet wird.

N ist eine positive ganze Zahl (N >= 0), welche die Ordnung der Besselfunktion In(x) angibt.

#### Beispiel

=BESSELI(3,45;4) ergibt 0,651416873060081

=BESSELI(3,45;4,333) ergibt 0,651416873060081, das selbe wie oben, da der Anteil N ignoriert wird.

=BESSELI(-1;3) ergibt -0,022168424924332

## BESSELJ

Berechnet die Besselfunktion der ersten Gattung Jn(x) (Zylinderfunktion).

#### Syntax

BESSELJ(X; N)

X ist der Wert, mit dem die Funktion berechnet wird.

N ist eine positive ganze Zahl (N >= 0), welche die Ordnung der Besselfunktion Jn(x) angibt.

#### Beispiel

=BESSELJ(3,45;4) ergibt 0,196772639864984

=BESSELJ(3,45;4,333) ergibt 0,196772639864984, das selbe wie oben, da der Anteil N ignoriert wird.

=BESSELJ(-1;3) ergibt -0,019563353982668

## BESSELK

Berechnet die modifizierte Besselfunktion der zweiten Gattung Kn(x).

#### Syntax

BESSELK(X; N)

X ist der notwendigerweise positive Wert (X > 0), mit dem die Funktion berechnet wird.

N ist eine positive ganze Zahl (N >= 0), welche die Ordnung der Besselfunktion Kn(x) angibt.

#### Beispiel

=BESSELK(3,45;4) ergibt 0,144803466373734

=BESSELK(3,45;4,333) ergibt 0,144803466373734, das selbe wie oben, da der Anteil N ignoriert wird.

=BESSELK(0;3) ergibt Err:502 – ungültiges Argument (X=0)

## BESSELY

Berechnet die Besselfunktion der zweiten Gattung Yn(x).

#### Syntax

BESSELY(X; N)

X ist der notwendigerweise positive Wert (X > 0), mit dem die Funktion berechnet wird.

N ist eine positive ganze Zahl (N >= 0), welche die Ordnung der Besselfunktion Yn(x) angibt.

#### Beispiel

=BESSELY(3,45;4) ergibt -0,679848116844476

=BESSELY(3,45;4,333) ergibt -0,679848116844476, das selbe wie oben, da der Anteil N ignoriert wird.

=BESSELY(0;3) ergibt Err:502 – ungültiges Argument (X=0)

## BININDEZ

The result is the number for the binary (base-2) number string entered.

#### Syntax

BININDEZ(Zahl)

Number is a string representing a binary (base-2) number. It can have a maximum of 10 places (bits). The most significant bit is the sign bit. Negative numbers are entered as two's complement.

#### Beispiel

=BIN2DEC("1100100") returns 100.

## BININHEX

The result is the string representing the number in hexadecimal form for the binary (base-2) number string entered.

#### Syntax

BININHEX(Zahl [; Stellen])

Number is a string representing a binary (base-2) number. It can have a maximum of 10 places (bits). The most significant bit is the sign bit. Negative numbers are entered as two's complement.

Places means the number of places to be output.

#### Beispiel

=BIN2HEX("1100100";6) returns "000064".

## BININOKT

The result is the string representing the number in octal form for the binary (base-2) number string entered.

#### Syntax

BININOKT(Zahl [; Stellen])

Number is a string representing a binary (base-2) number. It can have a maximum of 10 places (bits). The most significant bit is the sign bit. Negative numbers are entered as two's complement.

Stellen bezieht sich auf die Anzahl der Stellen, die ausgegeben werden.

#### Beispiel

=BIN2OCT("1100100";4) returns "0144".

## DELTA

Das Ergebnis ist WAHR (1), wenn beide Zahlen, die als Argument übergeben werden, gleich sind, sonst FALSCH (0).

#### Syntax

DELTA(Zahl 1 [; Zahl 2])

#### Beispiel

=DELTA(1;2) ergibt 0.

## DEZINBIN

The result is the string representing the number in binary (base-2) form for the number entered.

#### Syntax

DEZINBIN(Zahl [; Stellen])

Number is a number between -512 and 511. If Number is negative, the function returns a binary number string with 10 characters. The most significant bit is the sign bit, the other 9 bits return the value.

Stellen bezieht sich auf die Anzahl der Stellen, die ausgegeben werden.

#### Beispiel

=DEC2BIN(100;8) returns "01100100".

## DEZINHEX

The result is the string representing the number in hexadecimal form for the number entered.

#### Syntax

DEZINHEX(Zahl [; Stellen])

Number is a number. If Number is negative, the function returns a hexadecimal number string with 10 characters (40 bits). The most significant bit is the sign bit, the other 39 bits return the value.

Stellen bezieht sich auf die Anzahl der Stellen, die ausgegeben werden.

#### Beispiel

=DEC2HEX(100;4) returns "0064".

## DEZINOKT

The result is the string representing the number in octal form for the number entered.

#### Syntax

DEZINOKT(Zahl [; Stellen])

Number is a number. If Number is negative, the function returns an octal number string with 10 characters (30 bits). The most significant bit is the sign bit, the other 29 bits return the value.

Stellen bezieht sich auf die Anzahl der Stellen, die ausgegeben werden.

#### Beispiel

=DEC2OCT(100;4) returns "0144".

## GAUSSF.GENAU

Liefert die Werte zur Gauß'schen Fehlerfunktion zwischen 0 und gegebener Grenze.

#### Syntax

GAUSSF.GENAU(Untergrenze)

Untergrenze ist die Grenze des Integrals. Die Berechnung findet zwischen 0 und diesem Wert statt.

#### Beispiel

=GAUSSF.GENAU(1) ergibt 0,842701.

#### Technical information

Diese Funktion ist seit LibreOffice 4.3 verfügbar.

This function is not part of the Open Document Format for Office Applications (OpenDocument) Version 1.3. Part 4: Recalculated Formula (OpenFormula) Format standard. The name space is

COM.MICROSOFT.ERF.PRECISE

## GAUSSFEHLER

Ergibt Werte der Gauß'schen Fehlerfunktion.

#### Syntax

GAUSSFEHLER(Unterer Grenzwert [; Oberer Grenzwert])

Unterer Grenzwert ist der untere Grenzwert des Integralwerts.

Oberer Grenzwert ist optional. Es handelt sich um den oberen Grenzwert des Integralwerts. Fehlt dieser Wert, erfolgt die Berechnung zwischen 0 und dem unteren Grenzwert.

#### Beispiel

=GAUSSFEHLER(0;1) ergibt 0,842701.

## GAUSSFKOMPL

Ergibt Komplementärwerte zur Gauß'schen Fehlerfunktion zwischen x und Unendlich.

#### Syntax

GAUSSFKOMPL(UntererGrenzwert)

UntererGrenzwert ist der untere Grenzwert des Integralwerts

#### Beispiel

=GAUSSFKOMPL(1) ergibt 0,157299.

## GAUSSFKOMPL.GENAU

Ergibt Komplementärwerte zur Gauß'schen Fehlerfunktion zwischen x und Unendlich.

#### Syntax

GAUSSFKOMPL.GENAU(UntererGrenzwert)

UntererGrenzwert ist der untere Grenzwert des Integralwerts

#### Beispiel

=GAUSSFKOMPL.GENAU(1) ergibt 0,157299.

#### Technical information

Diese Funktion ist seit LibreOffice 4.3 verfügbar.

This function is not part of the Open Document Format for Office Applications (OpenDocument) Version 1.3. Part 4: Recalculated Formula (OpenFormula) Format standard. The name space is

COM.MICROSOFT.ERFC.PRECISE

## GGANZZAHL

Das Ergebnis ist 1, wenn Zahl größer als oder gleich groß wie Schwellenwert.

#### Syntax

GGANZZAHL(Zahl [; Schwellenwert])

#### Beispiel

=GGANZZAHL(5;1) ergibt 1.

## HEXINBIN

The result is the string representing the number in binary (base-2) form for the hexadecimal number string entered.

#### Syntax

HEXINBIN(Zahl [; Stellen])

Number is a string that represents a hexadecimal number. It can have a maximum of 10 places. The most significant bit is the sign bit, the following bits return the value. Negative numbers are entered as two's complement.

Stellen bezieht sich auf die Anzahl der Stellen, die ausgegeben werden.

#### Beispiel

=HEX2BIN("6a";8) returns "01101010".

## HEXINDEZ

The result is the number for the hexadecimal number string entered.

#### Syntax

HEXINDEZ(Zahl)

Number is a string that represents a hexadecimal number. It can have a maximum of 10 places. The most significant bit is the sign bit, the following bits return the value. Negative numbers are entered as two's complement.

#### Beispiel

=HEXINDEZ("6a") ergibt 106.

## HEXINOKT

The result is the string representing the number in octal form for the hexadecimal number string entered.

#### Syntax

HEXINOKT(Zahl [; Stellen])

Number is a string that represents a hexadecimal number. It can have a maximum of 10 places. The most significant bit is the sign bit, the following bits return the value. Negative numbers are entered as two's complement.

Stellen bezieht sich auf die Anzahl der Stellen, die ausgegeben werden.

#### Beispiel

=HEX2OCT("6a";4) returns "0152".

Verwandte Themen

Add-in-Funktionen

Add-in-Funktionen, Liste der Analysefunktionen Teil 2

Textfunktionen

Funktionen nach Kategorie